Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsSceneResizeEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.gui.QGraphicsSceneEvent
                          com.trolltech.qt.gui.QGraphicsSceneResizeEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QGraphicsSceneResizeEvent

extends QGraphicsSceneEvent

The `QGraphicsSceneResizeEvent` class provides events for widget resizing in the graphics view framework. A `QGraphicsWidget` sends itself a `QGraphicsSceneResizeEvent` immediately when its geometry changes.

It's similar to `QResizeEvent`, but its sizes, `oldSize()` and `newSize()`, use `QSizeF` instead of `QSize`.

See also:
  `QGraphicsWidget::setGeometry()`, and `QGraphicsWidget::resize()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QGraphicsSceneResizeEvent()` Constructs a `QGraphicsSceneResizeEvent`.

Method Summary
`QSizeF` | `newSize()` Returns the new size (i.
`QSizeF` | `oldSize()` Returns the old size (i.
`java.lang.String` | `toString()` Returns a string representation of the `this QGraphicsSceneResizeEvent`.

Methods inherited from class com.trolltech.qt.gui.QGraphicsSceneEvent
`widget`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QGraphicsSceneResizeEvent

    public QGraphicsSceneResizeEvent()

  Constructs a `QGraphicsSceneResizeEvent`.

Method Detail

### newSize

    public final QSizeF newSize()

  Returns the new size (i. ., the current size).

See also:
  `oldSize()`, and `QGraphicsWidget::resize()`.

### oldSize

    public final QSizeF oldSize()

  Returns the old size (i. ., the size immediately before the widget was resized).

See also:
  `newSize()`, and `QGraphicsWidget::resize()`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QGraphicsSceneResizeEvent`.

  Overrides:
    `toString` in class `QGraphicsSceneEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD